---
variables:
  PYLINT_THRESHOLD: "8"
  PYTEST_COVERAGE_THRESHOLD: "50"

include:
  - remote: "https://jobs.just-ci.dev/v3.5.1/docker/kaniko.yml"
  - remote: "https://jobs.just-ci.dev/v3.5.1/python/black.yml"
  - remote: "https://jobs.just-ci.dev/v3.5.1/python/pylint.yml"
  - remote: "https://jobs.just-ci.dev/v3.5.1/python/pytest.yml"
  - remote: "https://jobs.just-ci.dev/v3.5.1/python/bandit.yml"
  - remote: "https://jobs.just-ci.dev/v3.5.1/python/safety.yml"
  - remote: "https://jobs.just-ci.dev/v3.5.1/python/semantic-release/private.yml"
